using System;

namespace Syntriax.Engine.Core;

public readonly struct UniverseTime(TimeSpan TimeSinceStart, TimeSpan TimeDelta)
{
    public readonly TimeSpan TimeSinceStart = TimeSinceStart;
    public readonly TimeSpan DeltaSpan = TimeDelta;

    public readonly float DeltaTime = (float)TimeDelta.TotalSeconds;
}
