# Work In Progress

This is a Universe(Game) engine written in C# .NET Core.

This engine is experimental and still in development so there ***WILL*** be breaking changes, but the implemented features include:

- Modular Systems
  - Timers
  - Coroutines
  - Tweening
  - State Machines
  - 2D Physics Engine(**Not Fully Completed, but usable**)
    - Rigid Body Simulations
    - Collision Detection (Convex Shape & Circle)
    - Collision Resolution (**Not Fully Completed**)
- Serialization
  - YAML
  - JSON (Not added yet)
- Behaviour System
- Hierarchy System
- General Math
- Primitive Types
  - AABB
  - Circle
  - Line2D
  - Line2DEquation
  - Projection1D
  - Quaternion
  - Shape2D
  - Triangle
  - Vector2D
  - Vector3D
- ***And more to come!***

---

**A detailed README file will be written in the future. If you want to check out how to use this, please checkout this example Pong game made using this engine on top of [MonoGame](https://monogame.net/) from the link bellow.**

[Pong Source Code](https://git.syntriax.com/Syntriax/Engine-Pong)
